Компрометация системы в libvirt

Дата публикации:
04.02.2013
Дата изменения:
04.02.2013
Всего просмотров:
764
Опасность:
Средняя
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:A/AC:M/Au:N/C:C/I:C/A:C/E:U/RL:W/RC:C) = Base:7.9/Temporal:6.4
CVE ID:
CVE-2013-0170
Вектор эксплуатации:
Локальная сеть
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
libvirt 1.x
Уязвимые версии: libvirt 1.0.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки использования после освобождения в функции "virNetMessageFree()" в файле src/rpc/virnetserverclient.c. Удаленный пользователь может разыменовать уже освобожденную память и выполнить произвольный код.

URL производителя: http://libvirt.org/

Решение: Установите обновление из GIT репозитория.

Ссылки: https://bugzilla.redhat.com/show_bug.cgi?id=893450

или введите имя

CAPTCHA